#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtsvg
Version		:	5.15.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt5 - Support for rendering and displaying SVG

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	zlib-devel

#-----------------------------------------------------------------------------
%description
Scalable Vector Graphics (SVG) is an XML-based language for describing
two-dimensional vector graphics. Qt provides classes for rendering and
displaying SVG drawings in widgets and on other paint devices.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.*
%{_qt5_libdir}/libQt5Svg.so.5*
%{_qt5_plugindir}/iconengines/libqsvgicon.so
%{_qt5_plugindir}/imageformats/libqsvg.so
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QSvg*Plugin.cmake

 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt5_headerdir}/QtSvg/
%{_qt5_libdir}/libQt5Svg.so
%{_qt5_libdir}/libQt5Svg.prl
%{_qt5_libdir}/cmake/Qt5Svg/Qt5SvgConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Svg.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_svg*.pri

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%license LICENSE.FDL
%{_qt5_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd _bld
%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_qt5_libdir}			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
